libgdamm Reference Documentation

Main Page Namespaces Book

# dictfield.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::DictField
| Represents a field in a table or a view in the database. More...

## Enumerations

enum | Gnome::Gda::DictFieldAttribute { Gnome::Gda::AUTO_INCREMENT = 1 << 0 }

Bitwise operators:
  `DictFieldAttribute operator|(DictFieldAttribute, DictFieldAttribute)`
  `DictFieldAttribute operator&(DictFieldAttribute, DictFieldAttribute)`
  `DictFieldAttribute operator^(DictFieldAttribute, DictFieldAttribute)`
  `DictFieldAttribute operator~(DictFieldAttribute)`
  `DictFieldAttribute& operator|=(DictFieldAttribute&, DictFieldAttribute)`
  `DictFieldAttribute& operator&=(DictFieldAttribute&, DictFieldAttribute)`
  `DictFieldAttribute& operator^=(DictFieldAttribute&, DictFieldAttribute)`

More...

## Functions

DictFieldAttribute | Gnome::Gda::operator& (DictFieldAttribute lhs, DictFieldAttribute rhs)
DictFieldAttribute& | Gnome::Gda::operator&= (DictFieldAttribute& lhs, DictFieldAttribute rhs)
DictFieldAttribute | Gnome::Gda::operator^ (DictFieldAttribute lhs, DictFieldAttribute rhs)
DictFieldAttribute& | Gnome::Gda::operator^= (DictFieldAttribute& lhs, DictFieldAttribute rhs)
DictFieldAttribute | Gnome::Gda::operator| (DictFieldAttribute lhs, DictFieldAttribute rhs)
DictFieldAttribute& | Gnome::Gda::operator|= (DictFieldAttribute& lhs, DictFieldAttribute rhs)
DictFieldAttribute | Gnome::Gda::operator~ (DictFieldAttribute flags)